# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20170215151410) do

  create_table "accounts", force: :cascade do |t|
    t.string   "email",                  limit: 255,                         default: "",    null: false
    t.string   "encrypted_password",     limit: 255,                         default: "",    null: false
    t.decimal  "balance",                            precision: 8, scale: 2, default: 0.0,   null: false
    t.boolean  "on_hold",                                                    default: false, null: false
    t.boolean  "subscribed",                                                 default: true,  null: false
    t.string   "locale",                 limit: 255,                         default: "en",  null: false
    t.string   "reset_password_token",   limit: 255
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          limit: 4,                           default: 0,     null: false
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip",     limit: 255
    t.string   "last_sign_in_ip",        limit: 255
    t.string   "confirmation_token",     limit: 255
    t.datetime "confirmed_at"
    t.datetime "confirmation_sent_at"
    t.string   "unconfirmed_email",      limit: 255
    t.datetime "created_at",                                                                 null: false
    t.datetime "updated_at",                                                                 null: false
  end

  add_index "accounts", ["confirmation_token"], name: "index_accounts_on_confirmation_token", unique: true, using: :btree
  add_index "accounts", ["email"], name: "index_accounts_on_email", unique: true, using: :btree
  add_index "accounts", ["locale"], name: "index_accounts_on_locale", using: :btree
  add_index "accounts", ["on_hold"], name: "index_accounts_on_on_hold", using: :btree
  add_index "accounts", ["reset_password_token"], name: "index_accounts_on_reset_password_token", unique: true, using: :btree
  add_index "accounts", ["subscribed"], name: "index_accounts_on_subscribed", using: :btree

  create_table "administrators", force: :cascade do |t|
    t.integer  "account_id",   limit: 4,                 null: false
    t.datetime "created_at",                             null: false
    t.datetime "updated_at",                             null: false
    t.boolean  "links_pinned",           default: false, null: false
  end

  add_index "administrators", ["account_id"], name: "index_administrators_on_account_id", using: :btree

  create_table "block_versions", force: :cascade do |t|
    t.integer  "account_id", limit: 4
    t.boolean  "active"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "block_versions", ["account_id"], name: "index_block_versions_on_account_id", using: :btree
  add_index "block_versions", ["active"], name: "index_block_versions_on_active", using: :btree

  create_table "blocks", force: :cascade do |t|
    t.string   "key",              limit: 255
    t.integer  "block_version_id", limit: 4
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "blocks", ["block_version_id"], name: "index_blocks_on_block_version_id", using: :btree
  add_index "blocks", ["key"], name: "index_blocks_on_key", using: :btree

  create_table "ckeditor_assets", force: :cascade do |t|
    t.string   "data_file_name",    limit: 255, null: false
    t.string   "data_content_type", limit: 255
    t.integer  "data_file_size",    limit: 4
    t.integer  "assetable_id",      limit: 4
    t.string   "assetable_type",    limit: 30
    t.string   "type",              limit: 30
    t.integer  "width",             limit: 4
    t.integer  "height",            limit: 4
    t.datetime "created_at",                    null: false
    t.datetime "updated_at",                    null: false
  end

  add_index "ckeditor_assets", ["assetable_type", "assetable_id"], name: "idx_ckeditor_assetable", using: :btree
  add_index "ckeditor_assets", ["assetable_type", "type", "assetable_id"], name: "idx_ckeditor_assetable_type", using: :btree

  create_table "images", force: :cascade do |t|
    t.string   "data",       limit: 255
    t.datetime "created_at",             null: false
    t.datetime "updated_at",             null: false
  end

  create_table "newsletters", force: :cascade do |t|
    t.string   "subject",          limit: 255
    t.text     "text",             limit: 65535
    t.integer  "last_id",          limit: 4
    t.integer  "processed_id",     limit: 4
    t.datetime "processed_at"
    t.text     "recipient_filter", limit: 65535
    t.datetime "created_at",                     null: false
    t.datetime "updated_at",                     null: false
  end

  create_table "pages", force: :cascade do |t|
    t.string   "mode",       limit: 255
    t.string   "link",       limit: 255
    t.string   "url_id",     limit: 255
    t.integer  "position",   limit: 4
    t.boolean  "enabled"
    t.text     "keywords",   limit: 65535
    t.datetime "created_at",               null: false
    t.datetime "updated_at",               null: false
  end

  add_index "pages", ["position"], name: "index_pages_on_position", using: :btree
  add_index "pages", ["url_id"], name: "index_pages_on_url_id", using: :btree

  create_table "phrase_containers", force: :cascade do |t|
    t.integer "translatable_id",   limit: 4
    t.string  "translatable_type", limit: 255
    t.string  "attribute_name",    limit: 255
    t.integer "phrase_id",         limit: 4
  end

  add_index "phrase_containers", ["attribute_name"], name: "index_phrase_containers_on_attribute_name", using: :btree
  add_index "phrase_containers", ["phrase_id"], name: "index_phrase_containers_on_phrase_id", using: :btree
  add_index "phrase_containers", ["translatable_id", "translatable_type"], name: "index_phrase_containers_on_translatable_id_and_translatable_type", using: :btree

  create_table "phrases", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "settings", force: :cascade do |t|
    t.string   "name",       limit: 255
    t.text     "value",      limit: 65535
    t.datetime "created_at",               null: false
    t.datetime "updated_at",               null: false
  end

  add_index "settings", ["name"], name: "index_settings_on_name", unique: true, using: :btree

  create_table "translations", force: :cascade do |t|
    t.string   "locale",     limit: 255
    t.text     "text",       limit: 65535
    t.integer  "phrase_id",  limit: 4
    t.datetime "created_at",               null: false
    t.datetime "updated_at",               null: false
  end

  add_index "translations", ["locale"], name: "index_translations_on_locale", using: :btree
  add_index "translations", ["phrase_id"], name: "index_translations_on_phrase_id", using: :btree
  add_index "translations", ["text"], name: "index_translations_on_text", length: {"text"=>255}, using: :btree

end
